#include-once
#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:


#ce ----------------------------------------------------------------------------

#include <GUIConstants.au3>
#include <EditConstants.au3>
#include <ButtonConstants.au3>
#include <WindowsConstants.au3>

Func _pwInput($sTitle, $sText, $iPosX = -1, $iPosY = -1, $iTimeOut = 0)
	Local $_xx_passForm, $_xx_Label, $_xx_Input
	Local $_xx_B_OK, $_xx_B_Cancel, $nMsg
	Local $timer, $timedOut = 0, $canceled = 0
	Local $readText
	$iTimeOut = $iTimeOut * 1000
	#Region ### START Koda GUI section ### Form=
	$_xx_passForm = GUICreate($sTitle, 294, 106, $iPosX, $iPosY)
	$_xx_Label = GUICtrlCreateLabel($sText, 5, 5, 281, 32)
	$_xx_Input = GUICtrlCreateInput("", 5, 40, 281, 21, $ES_PASSWORD)
	$_xx_B_OK = GUICtrlCreateButton("OK", 205, 70, 75, 25, $WS_GROUP + $BS_DEFPUSHBUTTON)
	$_xx_B_Cancel = GUICtrlCreateButton("Cancel", 125, 70, 75, 25, $WS_GROUP)
	GUISetState(@SW_SHOW)
	#EndRegion ### END Koda GUI section ###

	$timer = TimerInit()
	While 1
		$nMsg = GUIGetMsg()
		Switch $nMsg
			Case $GUI_EVENT_CLOSE
				$canceled = 1
				ExitLoop
			Case $_xx_B_Cancel
				$canceled = 1
				ExitLoop
			Case $_xx_B_OK
				ExitLoop
		EndSwitch
		If TimerDiff($timer) >= $iTimeOut And $iTimeOut <> 0 Then
			$timedOut = 1
			ExitLoop
		EndIf
	WEnd
	$readText = GuiCtrlRead($_xx_Input)
	GuiDelete($_xx_passForm)

	If $timedOut Then Return SetError(2, 0, "")
	If $canceled Then Return SetError(1, 0, "")

	Return SetError(0, 0, $readText)
EndFunc
